Uploaded image for project: 'Sqoop'
  1. Sqoop
  2. SQOOP-1736

Sqoop2: Driver missing during upgrade

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.99.4
    • Fix Version/s: 1.99.4
    • Component/s: sqoop2-framework
    • Labels:
      None

      Description

      There are two issues:

      1. The driver doesn't exist for existing jobs and links to reference when upgrading. During repository upgrade, a driver should be created (not done).
      2. The original framework forms should be transformed to driver configs (done) and reference the driver configurable (not done).

        Attachments

        1. SQOOP-1736-1.99.4-v6.patch
          11 kB
          Veena Basavaraj
        2. SQOOP-1736-1.99.4-v5.patch
          12 kB
          Veena Basavaraj
        3. SQOOP-1736-1.99.4-v3.patch
          12 kB
          Veena Basavaraj
        4. SQOOP-1736-1.99.4-v2.patch
          10 kB
          Veena Basavaraj
        5. SQOOP-1736-1.99.4.patch
          10 kB
          Veena Basavaraj
        6. 1993.tar.gz
          2.38 MB
          Abraham Elmahrek

          Issue Links

            Activity

              People

              • Assignee:
                vybs Veena Basavaraj
                Reporter:
                abec Abraham Elmahrek
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: